build+ci: upgrade waf to version 2.0.19, switch to python3
Refs: #5095
Change-Id: I75429ca3617ca61769e1964f556ac5b779bf01ba
diff --git a/.jenkins.d/10-build.sh b/.jenkins.d/10-build.sh
index 97bc518..7dd67cc 100755
--- a/.jenkins.d/10-build.sh
+++ b/.jenkins.d/10-build.sh
@@ -1,14 +1,19 @@
#!/usr/bin/env bash
-set -e
+set -ex
-JDIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
-source "$JDIR"/util.sh
+git submodule sync
+git submodule update --init
-set -x
+# Build in debug mode
+./waf --color=yes configure --debug
+./waf --color=yes build -j$WAF_JOBS
-sudo_preserve_env PATH -- ./waf --color=yes distclean
+# Cleanup
+./waf --color=yes distclean
+# Build in release mode
./waf --color=yes configure
-./waf --color=yes build -j${WAF_JOBS:-1}
+./waf --color=yes build -j$WAF_JOBS
+# Install
sudo_preserve_env PATH -- ./waf --color=yes install